Package com.smartsheet.api
Interface WorkspaceFolderResources
-
public interface WorkspaceFolderResourcesThis interface provides methods to access Folder resources that are associated to a workspace object.
Thread Safety: Implementation of this interface must be thread safe.
-
-
Method Summary
All Methods Instance Methods Abstract Methods Modifier and Type Method Description FoldercreateFolder(long workspaceId, Folder folder)Create a folder in the workspace.
-
-
-
Method Detail
-
createFolder
Folder createFolder(long workspaceId, Folder folder) throws SmartsheetException
Create a folder in the workspace.
It mirrors to the following Smartsheet REST API method: POST /workspace/{id}/folders
- Parameters:
workspaceId- the workspace idfolder- the folder to create- Returns:
- the created folder
- Throws:
java.lang.IllegalArgumentException- if any argument is null or empty stringInvalidRequestException- if there is any problem with the REST API requestAuthorizationException- if there is any problem with the REST API authorization (access token)ResourceNotFoundException- if the resource cannot be foundServiceUnavailableException- if the REST API service is not available (possibly due to rate limiting)SmartsheetException- if there is any other error during the operation
-
-